Package org.bukkit.advancement

# Enum Class AdvancementDisplayType

java.lang.Object
java.lang.Enum<AdvancementDisplayType>
org.bukkit.advancement.AdvancementDisplayType

All Implemented Interfaces:
  `Serializable`, `Comparable<AdvancementDisplayType>`, `Constable`

@Deprecated(forRemoval=true) public enum AdvancementDisplayType extends Enum<AdvancementDisplayType>
Deprecated, for removal: This API element is subject to removal in a future version.
use `AdvancementDisplay.Frame`
Advancements are displayed in different ways depending on their display type. This enum contains information about these types and how they are represented.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHALLENGE`
Deprecated, for removal: This API element is subject to removal in a future version.
Challenge icons have a stylised icon frame.
`GOAL`
Deprecated, for removal: This API element is subject to removal in a future version.
Goal icons have a rounded icon frame.
`TASK`
Deprecated, for removal: This API element is subject to removal in a future version.
Task or normal icons have a square icon frame.

## Method Summary

Modifier and Type
Method
Description
`@NotNull ChatColor`
`getColor()`
Deprecated, for removal: This API element is subject to removal in a future version.
The chat color used by Minecraft for this advancement.
`static AdvancementDisplayType`
`valueOf(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the enum constant of this class with the specified name.
`static AdvancementDisplayType[]`
`values()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TASK

public static final AdvancementDisplayType TASK
Deprecated, for removal: This API element is subject to removal in a future version.
Task or normal icons have a square icon frame.

### CHALLENGE

public static final AdvancementDisplayType CHALLENGE
Deprecated, for removal: This API element is subject to removal in a future version.
Challenge icons have a stylised icon frame.

### GOAL

public static final AdvancementDisplayType GOAL
Deprecated, for removal: This API element is subject to removal in a future version.
Goal icons have a rounded icon frame.

## Method Details

### values

public static AdvancementDisplayType[] values()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AdvancementDisplayType valueOf(String name)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getColor

@NotNull public @NotNull ChatColor getColor()
Deprecated, for removal: This API element is subject to removal in a future version.
The chat color used by Minecraft for this advancement.

Returns:
  The chat color used by this advancement type.